Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.aop.framework.autoproxy.target
Class QuickTargetSourceCreator

    java.lang.Object
      org.springframework.aop.framework.autoproxy.target.AbstractBeanFactoryBasedTargetSourceCreator
          org.springframework.aop.framework.autoproxy.target.QuickTargetSourceCreator

All Implemented Interfaces:
  TargetSourceCreator, Aware, BeanFactoryAware, DisposableBean

    public class QuickTargetSourceCreator

extends AbstractBeanFactoryBasedTargetSourceCreator

Convenient TargetSourceCreator using bean name prefixes to create one of three well-known TargetSource types:

- : CommonsPoolTargetSource
- % ThreadLocalTargetSource
- ! PrototypeTargetSource

  Author:
    Rod Johnson
  See Also:
    `CommonsPoolTargetSource`, `ThreadLocalTargetSource`, `PrototypeTargetSource`

  Field Summary
  `static java.lang.String` | `PREFIX_COMMONS_POOL`
  `static java.lang.String` | `PREFIX_PROTOTYPE`
  `static java.lang.String` | `PREFIX_THREAD_LOCAL`

  Fields inherited from class org.springframework.aop.framework.autoproxy.target.AbstractBeanFactoryBasedTargetSourceCreator
  `logger`

  Constructor Summary
  `QuickTargetSourceCreator()`

  Method Summary
  `protected AbstractBeanFactoryBasedTargetSource` | `createBeanFactoryBasedTargetSource(java.lang.Class beanClass, java.lang.String beanName)` Subclasses must implement this method to return a new AbstractPrototypeBasedTargetSource if they wish to create a custom TargetSource for this bean, or `null` if they are not interested it in, in which case no special target source will be created.

  Methods inherited from class org.springframework.aop.framework.autoproxy.target.AbstractBeanFactoryBasedTargetSourceCreator
  `buildInternalBeanFactory, destroy, getBeanFactory, getInternalBeanFactoryForBean, getTargetSource, isPrototypeBased, setBeanFactory`

  Methods inherited from class java.lang.Object
  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  Field Detail

  ### PREFIX_COMMONS_POOL

      public static final java.lang.String PREFIX_COMMONS_POOL

  See Also:
    Constant Field Values

  ### PREFIX_THREAD_LOCAL

      public static final java.lang.String PREFIX_THREAD_LOCAL

  See Also:
    Constant Field Values

  ### PREFIX_PROTOTYPE

      public static final java.lang.String PREFIX_PROTOTYPE

  See Also:
    Constant Field Values

  Constructor Detail

  ### QuickTargetSourceCreator

      public QuickTargetSourceCreator()

  Method Detail

  ### createBeanFactoryBasedTargetSource

      protected final AbstractBeanFactoryBasedTargetSource createBeanFactoryBasedTargetSource(java.lang.Class beanClass,
                                                                                              java.lang.String beanName)

    Description copied from class: `AbstractBeanFactoryBasedTargetSourceCreator`
    Subclasses must implement this method to return a new AbstractPrototypeBasedTargetSource if they wish to create a custom TargetSource for this bean, or `null` if they are not interested it in, in which case no special target source will be created. Subclasses should not call `setTargetBeanName` or `setBeanFactory` on the AbstractPrototypeBasedTargetSource: This class' implementation of `getTargetSource()` will do that.

    Specified by:
      `createBeanFactoryBasedTargetSource` in class `AbstractBeanFactoryBasedTargetSourceCreator`
    Parameters:
      `beanClass` - the class of the bean to create a TargetSource for
      `beanName` - the name of the bean
    Returns:
      the AbstractPrototypeBasedTargetSource, or `null` if we don't match this

  Overview | Package | Class | Tree | Deprecated | Index | Help
  | Spring Framework
  PREV CLASS NEXT CLASS | FRAMES NO FRAMES
  SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD